# coding=utf-8
# encoding='utf-8'
# -*- encoding=utf8 -*-
import requests
import os
from lxml import etree
from fake_useragent import UserAgent
import time
import json


class wallhaven(object):
    def __init__(self):
        self.url ="http://pic.adesk.com/images?type=new&skip={}&limit=100"
        ua = UserAgent(verify_ssl=False)
        for i in range(1, 50):
            self.headers = {
                'User-Agent': ua.random,
            }
        # print(self.headers)

    '''发送请求  获取响应'''

    def get_page(self, url):
        res = requests.get(url=url, headers=self.headers)
        html = res.content.decode("utf-8")
        return html
        '''解析数据'''

    def parse_page(self, html):
        jsonData= json.loads(html)
        if jsonData['msg']!='success':
            print('请求出错')
        for item in jsonData['resp']:
            imgurl='http://static.adesk.com/wallpaper?imgid='+item['_id']+'&reso=1200x800'
            dirname = "./picadesk/" + item['_id']+'.jpg'
            if os.access(dirname, os.F_OK):
                print("%s已存在" % dirname)
            else:
                imgcon = requests.get(url=imgurl, headers=self.headers).content
                with open(dirname, 'wb') as f:
                    f.write(imgcon)
                print("%s下载成功" % dirname)
    def main(self):
        startPage = int(input("起始数:"))
        endPage = int(input("终止数:"))
        for page in range(startPage, endPage,100):
            url = self.url.format(page)
            html = self.get_page(url)
            self.parse_page(html)
            #time.sleep(1.4)
            print("第%s张爬取成功！！！！" % (page+100))

if __name__ == '__main__':
    imageSpider = wallhaven()
    imageSpider.main()
